import type { Card } from "../../../metabase-types/api";
import type { QuestionUrlBuilderParams } from "./questions";
export type CardOrSearchResult = Partial<Card> & {
    id?: number | string;
    card_id?: number | string;
    name?: string;
};
export declare function model(card: CardOrSearchResult, opts?: QuestionUrlBuilderParams): string;
export declare function metric(card: CardOrSearchResult, opts?: QuestionUrlBuilderParams): string;
export declare function modelDetail(card: CardOrSearchResult, tab?: string): string;
type ModelEditorUrlBuilderOpts = {
    type?: "query" | "metadata";
};
export declare function modelEditor(model: CardOrSearchResult, { type }?: ModelEditorUrlBuilderOpts): string;
export {};
